#include <QtXml\QDomDocument>

#define ERROR  0
#define NORMAL 1
#define COLOR  2
#define VECTOR 3
#define HREF   4

#define RESOURCE_INT    1
#define RESOURCE_UINT   2
#define RESOURCE_FLOAT  3
#define RESOURCE_STRING 4
#define RESOURCE_COLOR  5
#define RESOURCE_VECTOR 6

bool          xom2_load        (QDomDocument& doc, QDomElement& root, const QString& path);
QDomElement   xom2_getObject   (QDomElement& root, const QString& id);

QDomElement   xom2_createObject(QDomElement& root, const QString& id, const QString& classname);

QDomElement   xom2_cloneObject (QDomElement& root, QDomElement& reference, const QString& id);
QDomElement   xom2_cloneObject (QDomElement& root, const QString& refname, const QString& id);

QString       xom2_getclass    (QDomElement& el);

bool          xom2_setProperty (QDomElement& el, const QString& name, const QString& value);
bool          xom2_setProperty (QDomElement& root, const QString& obj, const QString& name, const QString& value);

bool          xom2_forceAddProperty (QDomElement& el, const QString& name, const QString& value);
bool          xom2_forceAddProperty (QDomElement& root, const QString& obj, const QString& name, const QString& value);

QString       xom2_getProperty (QDomElement& el, const QString& name);
QString       xom2_getProperty (QDomElement& root, const QString& obj, const QString& name);

unsigned char xom2_valueType   (const QString& name);
