#pragma once

#include "ui_W4LauncherDialog.h"
#include "xom2.h"

#include <QDialog>
#include <QProcess>
#include <QStringList>

class W4LauncherDialog : public QDialog
{
Q_OBJECT
public:
	W4LauncherDialog(int argc, char* argv[]);
	~W4LauncherDialog();
	
    QString gamepath;
    QProcess* process;
    unsigned short l_resX, l_resY, l_refresh;
    bool l_nomovies, l_nosound, l_portfwd, l_mancam, l_allowss, l_telnet;
    
    QStringList resolutions;
    QList<QStringList> refreshRates;
    
public slots:
    
    void updateModInfo(QListWidgetItem* current, QListWidgetItem* previous);
    void launchGame();
    void resolutionChanged();
    void moveUp();
    void moveDown();
    void checkUpdates();
    void gameEnded();
private:
	

	Ui::W4LauncherDialog ui;
};

