#include "lang.h"

const char* LANG_FRE[] = {
    "Lanceur de mods Worms 4: Mayhem!",
    "Rsolution",
    "Rafrachissement",
    "Jouer",
    "Pas de cinmatiques",
    "Pas de son",
    "Rglage automatique des ports",
    "Autoriser captures d'cran",
    "Autoriser camra manuelle (M)",
    "Telnet",
    "Mods",
    "Vrifier les mises  jour",
    "Annuler",
    "Auteur : ",
    "Description : ",
    "Erreur !",
    "Impossible de localiser Worms 4: Mayhem. Essayez de rinstaller le jeu.",
    "Chargement des ressources",
    "Chargement de ",
    "Impossible de charger les donnes depuis ",
    ""
};

const char* LANG_ENG[] = {
    "Worms 4: Mayhem! Mod Launcher",
    "Resolution",
    "Refresh Rate",
    "Play",
    "No Movies",
    "No Sounds",
    "Automate Ports Settings (XP only)",
    "Allow Screenshots",
    "Allow Manual Camera (M)",
    "Telnet",
    "Mods",
    "Check for Updates",
    "Cancel",
    "Author : ",
    "Description : ",
    "Error!",
    "Could not find Worms 4: Mayhem directory. Try reinstalling the game.",
    "Loading resource objects",
    "Loading ",
    "Could not load objects data from ",
    ""
};

const char* LANG_SPA[] = {
    "Lanzador de mods de Worms 4: Mayhem",
    "Resolucin",
    "Frecuencia de actualizacin",
    "Jugar",
    "Sin vdeos",
    "Sin snidos",
    "Automatizar configuraciones de los puertos (solo XP)",
    "Permitir capturas de pantalla",
    "Permitir cmara manual (M)",
    "Telnet",
    "Mods",
    "Buscar actualizaciones",
    "Cancelar",
    "Autor : ",
    "Descripcin : ",
    "Error!",
    "No se pudo encontrar el directorio de Worms 4 Mayhem. Intenta reinstalar el juego.",
    "Cargando recursos",
    "Cargando ",
    "No se pudieron cargar los datos de los objetos de ",
    ""
};

QStringList LANG_TRANSLATED;

void language_init(unsigned char lang, const char* context)
{
    LANG_TRANSLATED.clear();
    const char** langptr;
    switch(lang)
    {
        case FRE:
            langptr = LANG_FRE;
            break;
        case SPA:
            langptr = LANG_SPA;
            break;
        default:
            langptr = LANG_ENG;
    }
    for(int i=0;langptr[i][0];i++)
    {
        LANG_TRANSLATED.append(QApplication::translate(context, langptr[i], 0, QApplication::CodecForTr));
    }
}

QString getlang(LangID id)
{
    return LANG_TRANSLATED[id];
}
