#pragma once

#include <QStringList>
#include <QString>
#include <QApplication>

#define FRE 0
#define ENG 1
#define SPA 2

enum LangID
{
    LANG_TITLE = 0,
    LANG_RES,
    LANG_REFRESH,
    LANG_PLAY,
    LANG_NOMOVIES,
    LANG_NOSOUND,
    LANG_PORTFWD,
    LANG_ALLOWSS,
    LANG_MANCAM,
    LANG_TELNET,
    LANG_MODS,
    LANG_UPDATE,
    LANG_CANCEL,
    LANG_AUTHOR,
    LANG_DESC,
    LANG_ERROR,
    LANG_ERROR_CANTFINDGAME,
    LANG_LOADINGRESOURCES,
    LANG_LOADINGTWEAK,
    LANG_ERROR_CANTLOADDATA,
};

void language_init(unsigned char lang, const char* context);
QString getlang(LangID id);
